Page MenuHomePhabricator

Run unpublished draft purge script for CX (Week of 03/10)
Closed, ResolvedPublic

Description

Manual run of unpublished draft purge script for CX:

Run: foreachwikiindblist '%% wikipedia.dblist - special.dblist - closed.dblist' extensions/ContentTranslation/scripts/purge-unpublished-drafts.php --age-in-days=AGE --really |& tee -a ~/purgelog.txt on mwmaint1002.

Monitor output and DB lags and process number of drafts purged after script is done.

  • Run 1:
  • age-in-days: 775
  • number of drafts to purge = 4550
  • schedule: 20190311
  • Run 2:
  • age-in-days: 725
  • number of drafts to purge = 4653
  • schedule: 20190312
  • Run 3:
  • age-in-days: 675
  • number of drafts to purge = 3952
  • schedule: 20190313
  • Run 4:
  • age-in-days: 620
  • number of drafts to purge = 4184
  • schedule: 20190314
  • Run 5:
  • age-in-days: 560
  • number of drafts to purge = 4287
  • schedule: 20190315

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 7 2019, 6:48 AM
Nikerabbit updated the task description. (Show Details)Mar 7 2019, 8:31 AM

Mentioned in SAL (#wikimedia-operations) [2019-03-11T04:00:59Z] <kart_> Started manual run of unpublished ContentTranslation draft purge script (T217818)

Mentioned in SAL (#wikimedia-operations) [2019-03-11T06:38:41Z] <kart_> Finished manual run of unpublished ContentTranslation draft purge script (T217818)

KartikMistry updated the task description. (Show Details)Mar 11 2019, 6:40 AM

Mentioned in SAL (#wikimedia-operations) [2019-03-12T04:04:25Z] <kart_> Started manual run of unpublished ContentTranslation draft purge script (T217818)

Mentioned in SAL (#wikimedia-operations) [2019-03-12T06:40:30Z] <kart_> Finished manual run of unpublished ContentTranslation draft purge script (T217818)

KartikMistry updated the task description. (Show Details)Mar 12 2019, 6:41 AM

Mentioned in SAL (#wikimedia-operations) [2019-03-13T04:11:07Z] <kart_> Started manual run of unpublished ContentTranslation draft purge script (T217818)

Mentioned in SAL (#wikimedia-operations) [2019-03-13T06:24:27Z] <kart_> Finished manual run of unpublished ContentTranslation draft purge script (T217818)

KartikMistry updated the task description. (Show Details)Mar 13 2019, 6:26 AM

Mentioned in SAL (#wikimedia-operations) [2019-03-14T04:00:26Z] <kart_> Started manual run of unpublished ContentTranslation draft purge script (T217818)

Mentioned in SAL (#wikimedia-operations) [2019-03-14T06:08:51Z] <kart_> Finished manual run of unpublished ContentTranslation draft purge script (T217818)

KartikMistry updated the task description. (Show Details)Mar 14 2019, 6:10 AM
KartikMistry updated the task description. (Show Details)Mar 14 2019, 6:21 AM

Making last run of the week a bit longer to fully utilize slot taken.

The next run will include th week of 2017-07-09 which has about ~200 translations more compared to weekly average. That seems small enough to not worry about it.

Mentioned in SAL (#wikimedia-operations) [2019-03-15T04:01:33Z] <kart_> Started manual run of unpublished ContentTranslation draft purge script (T217818)

Mentioned in SAL (#wikimedia-operations) [2019-03-15T07:01:44Z] <kart_> Finished manual run of unpublished ContentTranslation draft purge script (T217818)

KartikMistry updated the task description. (Show Details)Mar 15 2019, 7:05 AM
Arrbee closed this task as Resolved.Mar 15 2019, 8:13 AM